
QGIS Application - Feature request #1635

Add option for bookmarks: "this project only"

2009-04-07 01:11 AM - paull -

Status: Closed

Priority: Low

Assignee:

Category: Project Loading/Saving

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 11695

Description

It would be extremely useful, if geospatial bookmarks could be saved with the project (and therefore shared with other people working on

the same project). I'd suggest to let the user decide if he/she wants to save a bookmark on a personal level and/or on project level.

History

#1 - 2009-08-06 06:04 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed

Hi,

bookmarks are saved in projects, at least in the latest version as far I can see. Please reopen if I misunderstood the request.

#2 - 2010-06-01 07:51 PM - Alister Hood

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

Replying to [comment:3 lutra]:

Hi,

bookmarks are saved in projects, at least in the latest version as far I can see. Please reopen if I misunderstood the request.

Well, they seem to be global again.  My bookmarks are available regardless of which project I am in.

#3 - 2010-06-01 09:06 PM - Paolo Cavallini

I think the current setting makes sense: I have my study areas that I want to reuse across projects, so to me it is preferable this way. I guess we cannot

make everybody happy (unless we add an option "Keep the bookmarks per project or per user", either as a global setting or as a per bookmark choice

#4 - 2010-06-02 03:26 PM - Alister Hood

Yes, the suggestion was to provide a choice :)

Having the choice per bookmark would be nice.  I think the best way would be if there was a "this project only" checkbox in the new bookmark window,

which remembered whether it was checked or unchecked last time you added a bookmark.
I see someone has asked about this on the forum in the last couple of days too...

#5 - 2010-11-16 09:16 PM - Alister Hood

"Project bookmarks" (as opposed to "User bookmarks") might be a good candidate for an extension.

I presume extensions are allowed to save extra information in the .qgs file.  Is that right?

#6 - 2010-11-22 07:19 PM - Alister Hood

I presume extensions are allowed to save extra information in the .qgs file. Is that right?

Ah.  That is right. e.g. see:

http://underdark.wordpress.com/2010/11/04/writing-and-reading-python-plugin-settings-to-from-qgis-project-file/

#7 - 2011-12-26 04:59 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Pull Request or Patch supplied set to No

- OS version deleted (All)

- Operating System deleted (All)

- Assignee deleted (nobody -)

- Subject changed from Save bookmarks with project to Add option for bookmarks: "this project only"

New description: allow save the bookmarks just at project level instead of global level.

#8 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#9 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#10 - 2017-05-01 11:34 AM - Regis Haubourg

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

Implemented in 2.18, see last column in the bookmark panel, named "Project" with a checkbox.
